
Katello - Feature #5423

capsule-installer support

04/24/2014 09:53 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Rework the previous node-installer to work with the latest version of Foretello.

Associated revisions

Revision eb7a2c55 - 04/29/2014 08:07 AM - Ivan Necas

Refs #5423 - fix capsule configuration

Revision eb7a2c55 - 04/29/2014 08:07 AM - Ivan Necas

Refs #5423 - fix capsule configuration

Revision 04949f90 - 04/29/2014 08:12 AM - Ivan Necas

Refs #5423 - fixes pulp node setting on the capsule

Revision 1c9ad023 - 04/29/2014 08:14 AM - Ivan Necas

Refs #5423 - minor changes to support capsule installer

Did some refactoring of apache configuration as part of the updates

Revision 5f2f0557 - 04/29/2014 08:18 AM - Ivan Necas

Refs #5423 - fix certs generation for capsule usage

Also, disable setting of katello repo for the certs till we support

package uploads again.

Revision b16f8e1e - 04/30/2014 10:14 AM - Ivan Necas

Refs #5423 - fix path to the node certificate

Revision 9902c75d - 04/30/2014 10:22 AM - Ivan Necas

Refs #5423 - deploy apache certificates for the Pulp child node

Revision fa19cb4f - 04/30/2014 10:24 AM - Ivan Necas

Refs #5423 - sets pulp node apache ssl

Revision 09fd7d98 - 04/30/2014 03:12 PM - Ivan Necas

Refs #5423 - address PR comments

Revision 09fd7d98 - 04/30/2014 03:12 PM - Ivan Necas

Refs #5423 - address PR comments

Revision 54fd30d3 - 05/02/2014 07:07 AM - Ivan Necas

Refs #5423 - autorequire Ca when needed
Revision 34f98be3 - 05/05/2014 11:44 AM - Ivan Necas

Refs #5423 - make Fort code working

Revision ae92789f - 05/06/2014 07:34 AM - Ivan Necas

Refs #5423 - certs_tar required for now

Revision 7c9a90c0 - 05/06/2014 11:35 AM - Ivan Necas

Fixes #5423 - capsule-certs-generate and capsule-installer scripts

Revision 108fae57 - 05/06/2014 11:35 AM - Ivan Necas

Refs #5423 - unify the config files naming

Revision 695e7781 - 05/06/2014 11:35 AM - Ivan Necas

Refs #5423 - inform about where capsule-installer is coming from

Revision afad24e1 - 05/06/2014 11:35 AM - Ivan Necas

Refs #5423 - make the example working directly

Revision e35caa69 - 05/06/2014 11:42 AM - Ivan Necas

Merge pull request #4 from iNecas/capsule-installer

Refs #5423 - fix capsule configuration

Revision e35caa69 - 05/06/2014 11:42 AM - Ivan Necas

Merge pull request #4 from iNecas/capsule-installer

Refs #5423 - fix capsule configuration

Revision 0112f4be - 05/06/2014 11:42 AM - Ivan Necas

Merge pull request #12 from iNecas/master

Refs #5423 - fix certs generation for capsule usage

Revision 59763678 - 05/06/2014 11:42 AM - Ivan Necas

Merge pull request #14 from iNecas/master

Refs #5423 - fixes pulp node setting on the capsule

Revision 1437d024 - 05/06/2014 11:42 AM - Ivan Necas

Merge pull request #23 from iNecas/master

Refs #5423 - minor changes to support capsule installer

Revision 9180dbcc - 05/06/2014 12:57 PM - Ivan Necas

Refs #5423 - update package description

Revision 577f9f22 - 05/06/2014 03:42 PM - Ivan Necas

Merge pull request #4013 from iNecas/fix-fort

Refs #5423 - make Fort working again

Revision d11f262e - 05/06/2014 04:07 PM - Ivan Necas

Merge pull request #51 from iNecas/capsule-installer

Fixes #5423 - capsule-certs-generate and capsule-installer scripts

History

#1 - 04/24/2014 09:54 AM - Ivan Necas

- Category set to Installer

- Status changed from New to Assigned
- Assignee set to Ivan Necas

#2 - 05/05/2014 11:48 AM - Ivan Necas

- Status changed from Assigned to Ready For Testing

#3 - 05/06/2014 05:01 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|commit:7c9a90c02854c59748d57c885218726925018eba.

#4 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#5 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
